---
title: Connection Details
url: https://docs.vultr.com/products/storage/databases/postgresql/management/connection/connection-details
description: How to find and use the connection credentials needed to access your Vultr Managed PostgreSQL database
publish_date: 2024-09-23T20:21:43.026456Z
last_updated: 2026-05-26T19:44:21.953313Z
---

# How to Retrieve Connection Details for Vultr Managed Databases for PostgreSQL

Managed database connection details consist of host, port, username, password, default database, connection strings, and SSL certificates. These credentials allow you to connect to the managed databases from your favorite database client or modern programming language libraries. These include the terminal-based front-end to PostgreSQL (`psql`), PostgreSQL adapter for Python (`Psycopg`), Go PostgreSQL driver (`github.com/lib/pq`), and PostgreSQL Driver for PHP (`pg_connect`).

Follow this guide to manage connection details for Vultr Managed Databases for PostgreSQL using the Vultr Console, API, CLI, or Terraform.

=== "Vultr Console"

    1. Navigate to **Products** and select **Databases**.
    1. Click the target database instance.
    1. Navigate to **Connection Details** under **Overview**.
    1. Click **Copy Connection String**.
    1. Click **Copy PostgreSQL URL**.
    1. Click **Download Signed Certificate** and save the certificate.

=== "Vultr API"

    1. List all the database instances by sending a `GET` request to the [**List Managed Databases** endpoint](https://www.vultr.com/api/#tag/managed-databases/operation/list-databases) and note the database ID. For example, `43b4c774-5dff-4ac0-a01f-78a23c2205b5`.

        ```console
        $ curl "https://api.vultr.com/v2/databases" \
            -X GET \
            -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

    1. Send a `GET` request to the [**Get Managed Database** endpoint](https://www.vultr.com/api/#tag/managed-databases/operation/get-database) and specify a database ID.

        ```console
        $ curl "https://api.vultr.com/v2/databases/database_id" \
            -X GET \
            -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

        Visit the [**Get Managed Database** endpoint](https://www.vultr.com/api/#tag/managed-databases/operation/get-database) to view additional attributes to add to your request.

    1. Copy the `host`, `port`, `user`, `password`, and `dbname` values.

=== "Vultr CLI"

    1. List all database instances and note the database ID. For instance, `d6ac2a3c-92ea-43ef-8185-71a23e58ad8c`.

        ```console
        $ vultr-cli database list --summarize
        ```

    1. Retrieve connection details by specifying the database ID.

        ```console
        $ vultr-cli database get database_id
        ```
    
        Run `vultr-cli database get --help` to view all options.

=== "Terraform"

    1. If you manage the database with Terraform, you can output connection details from the resource.

        ```terraform
        # Assuming a managed database resource exists
        resource "vultr_database" "pg" {
            database_engine         = "pg"
            database_engine_version = "16"
            region                  = "ewr"
            plan                    = "vultr-dbaas-startup-cc-1-55-2"
            label                   = "pg-cluster-1"
        }

        output "pg_host"    { value = vultr_database.pg.host }
        output "pg_port"    { value = vultr_database.pg.port }
        output "pg_user"    { value = vultr_database.pg.user }
        output "pg_dbname"  { value = vultr_database.pg.dbname }
        # output "pg_password" { value = vultr_database.pg.password  sensitive = true }
        ```

    1. Apply the configuration and view the outputs with `terraform output`.
